package cokr.xit.ens.modules.ktsigntalk.gibis.domain.repository;

import cokr.xit.ens.modules.common.domain.SendMast;
import cokr.xit.ens.modules.ktsigntalk.gibis.domain.SendDetailKtGibis;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface SendDetailKtGibisRepository extends JpaRepository<SendDetailKtGibis, Long>, SendDetailKtGibisRepositoryCustom {

    List<SendDetailKtGibis> findAllBySendMast(SendMast sendMast);

    List<SendDetailKtGibis> findAllBySendMastAndSrcKeyIsNotNull(SendMast sendMast);

    Optional<SendDetailKtGibis> findBySrcKey(String srcKey);

    Optional<SendDetailKtGibis> findByLinkedUuid(String linkedUuid);

}
